apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: mqttwarn
  name: mqttwarn
spec:
  replicas: 1
  selector:
    matchLabels:
      app: mqttwarn
  template:
    metadata:
      labels:
        app: mqttwarn
    spec:
      containers:
        - image: ghcr.io/jpmens/mqttwarn-full:0.34.0
          name: mqttwarn-full
          imagePullPolicy: IfNotPresent
          volumeMounts:
            - name: config
              mountPath: /etc/mqttwarn/mqttwarn.ini
              subPath: mqttwarn.ini
            - name: transformers
              mountPath: /etc/mqttwarn/transformers.py
              subPath: transformers.py
      volumes:
        - name: config
          secret:
            secretName: mqttwarn-ini
        - name: transformers
          configMap:
            name: transformers
